CREATE USER archive WITH PASSWORD 'password';
ALTER USER archive WITH PASSWORD 'password';
CREATE USER report WITH PASSWORD 'password';

\connect archive;
GRANT SELECT, INSERT, UPDATE, DELETE
  ON smpl_eng, retent, smpl_mode, chan_grp, channel, status, severity, sample, array_val, num_metadata, enum_metadata
  TO archive;
GRANT SELECT
  ON smpl_eng, retent, smpl_mode, chan_grp, channel, status, severity, sample, array_val, num_metadata, enum_metadata
  TO report;

GRANT USAGE ON SEQUENCE
  chan_grp_grpid_seq, channel_chid, retent_retentid_seq,
  severity_sevid, smpl_eng_engid_seq, status_statid
  TO archive;

